Show Helping Hand payment status
curl --request GET \
--url https://api.consumer.younegotiate.com/payment/attempts/{attempt}import requests
url = "https://api.consumer.younegotiate.com/payment/attempts/{attempt}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.consumer.younegotiate.com/payment/attempts/{attempt}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"attempt_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"retry_allowed": true,
"amount": "40.00",
"remaining_balance": "60.00",
"account_status": "payment_accepted",
"status_url": "<string>",
"receipt": {
"available": true,
"download_url": "<string>",
"filename": "debt_free_americans_receipt.pdf"
}
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Show Helping Hand payment status
Return the current result for one Helping Hand payment attempt. Use the complete signed status_url returned by POST /payment; do not construct or modify this URL on the frontend.
GET
/
payment
/
attempts
/
{attempt}
Show Helping Hand payment status
Last modified on July 19, 2026
Was this page helpful?
⌘I

